/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.value

// imports
import {IConcept} from './concerto';

// interfaces
export interface IQuantitativeValue extends IConcept {
   unitCode: string;
   unitText?: string;
   value: number;
}

export enum UnitOfMass {
   GRAM = 'GRAM',
   KG = 'KG',
   TONNE = 'TONNE',
}

export enum UnitOfLength {
   METER = 'METER',
}

export enum UnitOfDensity {
   KG_PER_CUBIC_METER = 'KG_PER_CUBIC_METER',
}

export enum UnitOfVolume {
   CUBIC_METER = 'CUBIC_METER',
}

export enum UnitOfTemperature {
   KELVINS = 'KELVINS',
   CELSIUS = 'CELSIUS',
   FAHRENHEIT = 'FAHRENHEIT',
}

